> ## Documentation Index
> Fetch the complete documentation index at: https://docs.convertly.sh/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a folder archive snapshot schedule



## OpenAPI

````yaml /openapi.json patch /api/folder-archive-schedules/{id}
openapi: 3.1.0
info:
  title: Convertly API
  version: 1.0.0
  description: >-
    Convertly provides production API endpoints for media conversion,
    compression, Image CDN delivery, Forma AI, HLS/DASH video streaming, media
    tools, async jobs, workflows, webhooks, and Convertly Storage.
  license:
    name: Proprietary
    url: https://convertly.sh/terms
servers:
  - url: https://convertly.sh
security:
  - bearerAuth: []
  - apiKeyAuth: []
paths:
  /api/folder-archive-schedules/{id}:
    patch:
      tags:
        - Files
      summary: Update a folder archive snapshot schedule
      operationId: updateFolderArchiveSchedule
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            format: uuid
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/FolderArchiveSchedulePatch'
      responses:
        '200':
          description: Schedule updated
        '400':
          $ref: '#/components/responses/Error'
        '401':
          $ref: '#/components/responses/Error'
        '404':
          $ref: '#/components/responses/Error'
components:
  schemas:
    FolderArchiveSchedulePatch:
      type: object
      properties:
        name:
          type: string
          maxLength: 120
        enabled:
          type: boolean
        frequency:
          type: string
          enum:
            - daily
            - weekly
            - monthly
        hour:
          type: integer
          minimum: 0
          maximum: 23
        minute:
          type: integer
          minimum: 0
          maximum: 59
        dayOfWeek:
          type: integer
          minimum: 0
          maximum: 6
        dayOfMonth:
          type: integer
          minimum: 1
          maximum: 28
        timezone:
          type: string
        format:
          type: string
          enum:
            - zip
            - tar
            - tgz
        targetFolderId:
          type:
            - string
            - 'null'
          format: uuid
        retentionCount:
          type:
            - integer
            - 'null'
          minimum: 1
          maximum: 365
        retentionDays:
          type:
            - integer
            - 'null'
          minimum: 1
          maximum: 3650
    Error:
      type: object
      properties:
        error:
          type: string
        upgradeUrl:
          type: string
      required:
        - error
  responses:
    Error:
      description: Error response
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Dashboard-generated Convertly API key. Keys currently begin with
        `cvly_`.
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: Alternative API key header for server-side clients.

````